#
# spec file for package perl-MooseX-Types-Parameterizable
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-MooseX-Types-Parameterizable
Version:        0.08
Release:        1.1
%define cpan_name MooseX-Types-Parameterizable
Summary:        Create your own Parameterizable Types
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/MooseX-Types-Parameterizable/
Source:         http://www.cpan.org/authors/id/J/JJ/JJNAPIORK/%{cpan_name}-%{version}.tar.gz
Patch0:         remove-buggy-test.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Data::Dump) >= 1.17
BuildRequires:  perl(Devel::PartialDump) >= 0.13
BuildRequires:  perl(Digest::MD5) >= 2.39
BuildRequires:  perl(Moose) >= 1.08
BuildRequires:  perl(MooseX::Types) >= 0.22
BuildRequires:  perl(Test::Exception) >= 0.29
BuildRequires:  perl(Test::More) >= 0.94
#BuildRequires: perl(CPANPLUS::Backend)
#BuildRequires: perl(inc::Module::Install) >= 1.00
#BuildRequires: perl(JSON)
#BuildRequires: perl(LWP::Simple)
#BuildRequires: perl(Module::AutoInstall)
#BuildRequires: perl(Module::Build)
#BuildRequires: perl(Module::Install::Base)
#BuildRequires: perl(Moose::Meta::TypeCoercion)
#BuildRequires: perl(Moose::Meta::TypeConstraint)
#BuildRequires: perl(Moose::Util::TypeConstraints)
#BuildRequires: perl(MooseX::Meta::TypeCoercion::Parameterizable)
#BuildRequires: perl(MooseX::Meta::TypeConstraint::Parameterizable)
#BuildRequires: perl(MooseX::Types::Moose)
#BuildRequires: perl(MooseX::Types::Parameterizable)
#BuildRequires: perl(parent)
#BuildRequires: perl(Parse::CPAN::Meta)
#BuildRequires: perl(Pod::Markdown)
#BuildRequires: perl(YAML::Tiny)
Requires:       perl(Data::Dump) >= 1.17
Requires:       perl(Devel::PartialDump) >= 0.13
Requires:       perl(Digest::MD5) >= 2.39
Requires:       perl(Moose) >= 1.08
Requires:       perl(MooseX::Types) >= 0.22
%{perl_requires}

%description
A the MooseX::Types manpage library for creating parameterizable types. A
parameterizable type constraint for all intents and uses is a subclass of a
parent type, but adds additional type parameters which are available to
constraint callbacks (such as inside the 'where' clause of a type
constraint definition) or in the coercions you define for a given type
constraint.

If you have the Moose manpage experience, you probably are familiar with
the builtin parameterizable type constraints 'ArrayRef' and 'HashRef'. This
type constraint lets you generate your own versions of parameterized
constraints that work similarly. See the Moose::Util::TypeConstraints
manpage for more.

%prep
%setup -q -n %{cpan_name}-%{version}
%patch0 -p1
# buggy MANUAL
rm t/09-coercions-bug.t 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README.mkdn

%changelog
* Wed Jun 26 2013 coolo@suse.com
- remove broken test (see RT#85551): remove-buggy-test.patch
* Mon Feb 20 2012 coolo@suse.com
- remove broken test
* Fri Feb 17 2012 coolo@suse.com
- updated to 0.08
  - POD fixes (chocolateboy++)
  - remove pointless dependency (chocolateboy++)
* Mon Dec 26 2011 coolo@suse.com
- updated to 0.07
  - Changed the way we set a message so that we can access both value and
    parameterized type in the message.  This lets us make more useful error
    messages (brianphillips)
  - Test case for above
  - Fixed problem when you create a type with no message (brianphillips)
  - test case for above
* Fri Apr 29 2011 pascal.bleser@opensuse.org
- initial version (0.05)
